sigmlgen

## Class HSDocWrapping

- java.lang.Object
- - sigmlgen.HSDocWrapping

-     public class HSDocWrapping
      extends java.lang.Object

  This class provides wrappers for HML and SiGML document output streams; a wrapper provides an efficient mechanism for inserting the appropriate HML/SiGML document prefix and suffix into the stream at the appropriate stages in the output process. (This class was originally defined in the `h2s` package.)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSDocWrapping()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XmlStreamDocWrapping` | `getHMLWrap(java.io.OutputStream hos, java.lang.String henc, java.lang.String hdtd, java.lang.String htag)` Returns an HML document wrapper for the given output stream, and using the given encoding, HML DTD, and HML document element tag strings.
    `static XmlStreamDocWrapping` | `getNullWrap()` Returns a null XML document output stream wrapper, that is, one which wraps the document element with empty head and tail.
    `static XmlStreamDocWrapping` | `getSiGMLWrap(java.io.OutputStream sos, java.lang.String senc, java.lang.String sdtd, java.lang.String stag)` Returns a SiGML document wrapper for the given output stream, and using the given encoding, SiGML DTD, and SiGML document element tag strings.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HSDocWrapping

          public HSDocWrapping()

  - ### Method Detail

    - #### getNullWrap

          public static XmlStreamDocWrapping getNullWrap()

      Returns a null XML document output stream wrapper, that is, one which wraps the document element with empty head and tail.

    - #### getHMLWrap

          public static XmlStreamDocWrapping getHMLWrap(java.io.OutputStream hos,
                                                        java.lang.String henc,
                                                        java.lang.String hdtd,
                                                        java.lang.String htag)

      Returns an HML document wrapper for the given output stream, and using the given encoding, HML DTD, and HML document element tag strings.

    - #### getSiGMLWrap

          public static XmlStreamDocWrapping getSiGMLWrap(java.io.OutputStream sos,
                                                          java.lang.String senc,
                                                          java.lang.String sdtd,
                                                          java.lang.String stag)

      Returns a SiGML document wrapper for the given output stream, and using the given encoding, SiGML DTD, and SiGML document element tag strings.